summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/bitwise/0040mark_binop_7
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/bitwise/0040mark_binop_7')
-rwxr-xr-xtests/shell/testcases/bitwise/0040mark_binop_713
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/shell/testcases/bitwise/0040mark_binop_7 b/tests/shell/testcases/bitwise/0040mark_binop_7
new file mode 100755
index 00000000..791a7943
--- /dev/null
+++ b/tests/shell/testcases/bitwise/0040mark_binop_7
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# NFT_TEST_REQUIRES(NFT_TEST_HAVE_bitshift)
+
+set -e
+
+RULESET="
+ add table ip6 t
+ add chain ip6 t c { type filter hook input priority filter; }
+ add rule ip6 t c meta mark set ip6 dscp lshift 2 or 0x10
+"
+
+$NFT -f - <<< "$RULESET"